<template>
  <div class="form-body form-signin w-100 m-auto text-center">
    <form @submit.prevent="onSubmit">
      <img class="mb-4 mx-auto" :src="wsu_image" alt="wsu_image" width="200" height="180" />
      <h1 class="h4 mt-4 mb-3 fw-normal">Welcome</h1>
      <div class="form-floating">
        <input id="floatingNumber" v-model="studentID" type="text" class="form-control" />
        <label for="floatingNumber">WSU ID</label>
      </div>
      <button class="btn btn-primary w-100 py-2" type="submit">Look Up</button>
      <p class="mt-5 mb-1 text-body-secondary">This software is a <a href="https://librefoodpantry.org">LibreFoodPantry</a> project.</p>
      <p class="mt-1 mb-1 text-body-secondary">&copy; 2024 LibreFoodPantry Authors</p>
    </form>
  </div>
</template>
  
  <script>
  import img from '../assets/WSU_secondary_logo2.png'
  import { databaseWarehouse } from '../stores/wsuStudentStore'
  export default {
    data() {
      return {
        wsu_image: img,
        studentID: '',
        showRegistrationPrompt: false
      }
    },
    mounted() {
      
    },
    methods: {
      async onSubmit() {
        // add try catch here
        await databaseWarehouse().checkID(this.studentID)
      }

    }
  }
  </script>

<style>
.form-signin {
 max-width: 380px;
 padding: 1rem;
}


.form-signin input {
    width: 100%;
    box-sizing: border-box;
}


.form-signin input[type="email"] {
 margin-bottom: -1px;
 border-bottom-right-radius: 0;
 border-bottom-left-radius: 0;
}

.form-signin input[type="text"] {
 margin-bottom: 10px;
 border-top-left-radius: 0;
 border-top-right-radius: 0;
}
/* remove arrows on input field Chrome, Safari, Edge, Opera */

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type=number] {
  -moz-appearance: textfield;
}
</style>
